org.apache.http.impl.conn

## Class SingleClientConnManager

- java.lang.Object
- - org.apache.http.impl.conn.SingleClientConnManager

- All Implemented Interfaces:
    ClientConnectionManager

  已过时。
  （4.2）使用`BasicClientConnectionManager`

      @Contract(threading=SAFE)
      @Deprecated
      public class SingleClientConnManager
      extends Object
      implements ClientConnectionManager

  单个连接的连接管理器。 此连接管理器一次只维护一个活动连接。 即使这个类是线程安全的，它只能被一个执行线程使用。

  SingleClientConnManager将努力重新使用具有相同`route`的后续请求的连接。 但是，如果持久连接的路由与连接请求的路由不匹配，则将关闭现有连接并为给定的路由打开它。 如果连接已经被分配`IllegalStateException`被抛出。

  从以下版本开始：
    4

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `SingleClientConnManager.ConnAdapter` 已过时。 该经理使用的连接适配器。
    `protected class` | `SingleClientConnManager.PoolEntry` 已过时。 此连接管理器的池条目。

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `alwaysShutDown` 已过时。 连接是否应该在释放时关闭。
    `protected long` | `connectionExpiresTime` 已过时。 上一次发布的连接的时间到期，不应重复使用。
    `protected ClientConnectionOperator` | `connOperator` 已过时。 用于打开和更新连接的操作员。
    `protected boolean` | `isShutDown` 已过时。 指示此连接管理器是否关闭。
    `protected long` | `lastReleaseTime` 已过时。 上次连接发布的时间，或-1。
    `protected SingleClientConnManager.ConnAdapter` | `managedConn` 已过时。 当前发行的管理连接（如果有）。
    `static String` | `MISUSE_MESSAGE` 已过时。 要在多个分配上登录的消息。
    `protected SchemeRegistry` | `schemeRegistry` 已过时。 该连接管理器支持的方案。
    `protected SingleClientConnManager.PoolEntry` | `uniquePoolEntry` 已过时。 这个池中唯一的条目。

  - ### 构造方法摘要

    构造方法
    Constructor and Description
    `SingleClientConnManager()` 已过时。
    `SingleClientConnManager(HttpParams params, SchemeRegistry schreg)` 已过时。 （4.1）使用`SingleClientConnManager(SchemeRegistry)`
    `SingleClientConnManager(SchemeRegistry schreg)` 已过时。 创建一个新的简单连接管理器。

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `assertStillUp()` 已过时。 断言该经理没有关闭。
    `void` | `closeExpiredConnections()` 已过时。 关闭池中的所有过期连接。
    `void` | `closeIdleConnections(long idletime, TimeUnit tunit)` 已过时。 关闭池中的空闲连接。
    `protected ClientConnectionOperator` | `createConnectionOperator(SchemeRegistry schreg)` 已过时。 钩子用于创建连接运算符。
    `protected void` | `finalize()` 已过时。
    `ManagedClientConnection` | `getConnection(HttpRoute route, Object state)` 已过时。 获取连接。
    `SchemeRegistry` | `getSchemeRegistry()` 已过时。 获得该经理使用的方案注册表。
    `void` | `releaseConnection(ManagedClientConnection conn, long validDuration, TimeUnit timeUnit)` 已过时。 释放其他人使用的连接。
    `ClientConnectionRequest` | `requestConnection(HttpRoute route, Object state)` 已过时。 返回一个新的`ClientConnectionRequest` ，从中可以获得`ManagedClientConnection`或请求可以中止。
    `protected void` | `revokeConnection()` 已过时。
    `void` | `shutdown()` 已过时。 关闭此连接管理器并释放分配的资源。

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### 字段详细信息

    - #### MISUSE_MESSAGE

          public static final String MISUSE_MESSAGE

      已过时。
      要在多个分配上登录的消息。
      另请参见：
        Constant Field Values

    - #### schemeRegistry

          protected final SchemeRegistry schemeRegistry

      已过时。
      该连接管理器支持的方案。

    - #### connOperator

          protected final ClientConnectionOperator connOperator

      已过时。
      用于打开和更新连接的操作员。

    - #### alwaysShutDown

          protected final boolean alwaysShutDown

      已过时。
      连接是否应该在释放时关闭。

    - #### uniquePoolEntry

          protected volatile SingleClientConnManager.PoolEntry uniquePoolEntry

      已过时。
      这个池中唯一的条目。

    - #### managedConn

          protected volatile SingleClientConnManager.ConnAdapter managedConn

      已过时。
      当前发行的管理连接（如果有）。

    - #### lastReleaseTime

          protected volatile long lastReleaseTime

      已过时。
      上次连接发布的时间，或-1。

    - #### connectionExpiresTime

          protected volatile long connectionExpiresTime

      已过时。
      上一次发布的连接的时间到期，不应重复使用。

    - #### isShutDown

          protected volatile boolean isShutDown

      已过时。
      指示此连接管理器是否关闭。

  - ### 构造方法详细信息

    - #### SingleClientConnManager

          @Deprecated
          public SingleClientConnManager(HttpParams params,
                                            SchemeRegistry schreg)

      已过时。 （4.1）使用`SingleClientConnManager(SchemeRegistry)`
      创建一个新的简单连接管理器。
      参数
        `params` - 该经理的参数
        `schreg` - 方案注册表

    - #### SingleClientConnManager

          public SingleClientConnManager(SchemeRegistry schreg)

      已过时。
      创建一个新的简单连接管理器。
      参数
        `schreg` - 方案注册表

    - #### SingleClientConnManager

          public SingleClientConnManager()

      已过时。
      从以下版本开始：
        4.1

  - ### 方法详细信息

    - #### finalize

          protected void finalize()
                           throws Throwable

      已过时。
      重写：
        `finalize`在 `Object`
      异常
        `Throwable`

    - #### getSchemeRegistry

          public SchemeRegistry getSchemeRegistry()

      已过时。
      描述从接口`ClientConnectionManager`复制
      获得该经理使用的方案注册表。
      Specified by:
        `getSchemeRegistry`在接口 `ClientConnectionManager`
      结果
        方案注册表，从不 `null`

    - #### createConnectionOperator

          protected ClientConnectionOperator createConnectionOperator(SchemeRegistry schreg)

      已过时。
      钩子用于创建连接运算符。 它由构造函数调用。 派生类可以覆盖此方法来更改运算符的实例化。 默认实现在此实例化`DefaultClientConnectionOperator` 。
      参数
        `schreg` - 方案注册表使用，或 `null`
      结果
        连接运算符使用

    - #### assertStillUp

          protected final void assertStillUp()
                                      throws IllegalStateException

      已过时。
      断言该经理没有关闭。
      异常
        `IllegalStateException` - 如果该经理关闭

    - #### requestConnection

          public final ClientConnectionRequest requestConnection(HttpRoute route,
                                                  Object state)

      已过时。
      描述从接口`ClientConnectionManager`复制
      返回一个新的`ClientConnectionRequest` ，从中可以获得`ManagedClientConnection`或请求可以中止。
      Specified by:
        `requestConnection`在接口 `ClientConnectionManager`

    - #### getConnection

          public ManagedClientConnection getConnection(HttpRoute route,
                                              Object state)

      已过时。
      获取连接。
      参数
        `route` - 连接应指向的位置
      结果
        可用于沿给定路线进行通信的连接

    - #### releaseConnection

          public void releaseConnection(ManagedClientConnection conn,
                               long validDuration,
                               TimeUnit timeUnit)

      已过时。
      描述从接口`ClientConnectionManager`复制
      释放其他人使用的连接。 您可以选择指定连接有效重复使用的时间。 值<= 0被认为是永久有效的。 如果连接未被标记为可重用，则连接将不会重复使用，无论有效持续时间如何。 如果连接已经被释放，则呼叫将被忽略。
      Specified by:
        `releaseConnection`在接口 `ClientConnectionManager`
      参数
        `conn` - 要发布的连接
        `validDuration` - 此连接有效重用的持续时间
        `timeUnit` - 测量时间validDuration的单位
      另请参见：
        `ClientConnectionManager.closeExpiredConnections()`

    - #### closeExpiredConnections

          public void closeExpiredConnections()

      已过时。
      描述从接口`ClientConnectionManager`复制
      关闭池中的所有过期连接。 在连接被释放时定义的时间段中尚未使用的池中的打开连接将被关闭。 目前分配的连接不受此方法的约束。 时间将以毫秒精度检查。
      Specified by:
        `closeExpiredConnections`在接口 `ClientConnectionManager`

    - #### closeIdleConnections

          public void closeIdleConnections(long idletime,
                                  TimeUnit tunit)

      已过时。
      描述从接口`ClientConnectionManager`复制
      关闭池中的空闲连接。 在参数中给出的时间段中未使用的池中的打开连接将被关闭。 目前分配的连接不受此方法的约束。 时间将以毫秒精度检查所有过期的连接也将关闭。
      Specified by:
        `closeIdleConnections`在接口 `ClientConnectionManager`
      参数
        `idletime` - 连接关闭的空闲时间
        `tunit` - 单位为 `idletime`
      另请参见：
        `ClientConnectionManager.closeExpiredConnections()`

    - #### shutdown

          public void shutdown()

      已过时。
      描述从接口`ClientConnectionManager`复制
      关闭此连接管理器并释放分配的资源。 这包括关闭所有连接，无论它们是否被使用。
      Specified by:
        `shutdown`在接口 `ClientConnectionManager`

    - #### revokeConnection

          protected void revokeConnection()

      Deprecated.

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585